bool ledstatus=false; // globale variable

void setup(){
  pinMode(6, OUTPUT); // LED-Pin als Ausgang
  pinMode(10, INPUT_PULLUP); // Taster-Pin als Eingang
  Serial.begin(9600); // Serielle Kommunikation starten

  int zahl=10; // Ganzzahl mit 10 initialisieren
  while(zahl>0) {
    Serial.println(zahl);
    zahl=zahl-1; // Zahl um 1 verringern
  }
}

void loop(){
   bool taster=digitalRead(10);
   if ( taster==false ) {
    if ( ledstatus==true ) { // LED war an
      analogWrite(6,50); // LED dimmen
      ledstatus=false;
      Serial.println("Gedimmt"); //Text senden
    } else { // LED war aus
      digitalWrite(6,HIGH); // LED einschalten
      ledstatus=true;
      Serial.println("Eingeschaltet"); //Text senden
    }
    delay(500);
   }
}
